<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="PgInterface" />
      <artifact name="PgInterface" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="6b1b64b7-240e-4bb5-a60f-e8f40a5f1f86" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgAlarm.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgAlarm.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgAlarmManager.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgAlarmManager.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgAlarmRs.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgAlarmRs.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgOverViewRs.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgOverViewRs.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/spring/taskConfig-applicationContext.xml" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/spring/taskConfig-applicationContext.xml" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-697639591">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="4" />
          <entry key="project.open.time.14" value="1" />
          <entry key="project.open.time.16" value="1" />
          <entry key="project.open.time.2" value="1" />
          <entry key="project.open.time.22" value="1" />
          <entry key="project.open.time.3" value="1" />
          <entry key="project.opened" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="class" value="1" />
          <entry key="java" value="78" />
          <entry key="properties" value="4" />
          <entry key="xml" value="9" />
          <entry key="xsd" value="3" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="1" />
          <entry key="JAVA" value="78" />
          <entry key="Properties" value="4" />
          <entry key="XML" value="12" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="3251" />
          <entry key="txt" value="20" />
          <entry key="xml" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="3251" />
          <entry key="PLAIN_TEXT" value="20" />
          <entry key="XML" value="2" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgAlarm.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="307">
              <caret line="68" column="28" lean-forward="true" selection-start-line="68" selection-start-column="28" selection-end-line="68" selection-end-column="28" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgAlarmRs.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="462">
              <caret line="86" column="31" lean-forward="true" selection-start-line="86" selection-start-column="31" selection-end-line="86" selection-end-column="31" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>setParsedTime</find>
      <find>getPositionUpdateTime</find>
      <find>setPartition</find>
      <find>PGPositionSimpleDto</find>
      <find>PGTagPositionView</find>
      <find>sql</find>
      <find>select count(*)</find>
      <find>oracle.version</find>
      <find>jdbc</find>
      <find>compositeFilter</find>
      <find>PG_CON_REMOVE_MSG</find>
      <find>oracle</find>
      <find>pgdevice0_</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/dto/PgConRequestMsgDto.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/dto/PgConRemoveMsgDto.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/dto/PgConWorkOrderDto.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/manager/PgConWorkOrderManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/manager/PgConRequestMsgManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/manager/PgConRemoveMsgManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgConWorkRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PGInOutRecRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/task/SyncPGtask.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/task/TagmacRun.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/maintenance/manager/PgAssetPlanManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/manager/PGTagPositionManager.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/domain/PgConRemoveMsg.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/domain/PgConRequestMsg.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/domain/PgConWorkOrder.java" />
        <option value="$PROJECT_DIR$/src/main/resources/spring/taskConfig-applicationContext.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgAlarmManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgOverViewRs.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgAlarm.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgAlarmRs.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="workOffline" value="true" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="PgInterface" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="PgInterface" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Dependencies" type="f4be9f2a:MavenProjectsStructure$DependenciesNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="MavenRunner">
    <option name="skipTests" value="true" />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="10" />
    <option name="y" value="20" />
    <option name="width" value="1346" />
    <option name="height" value="688" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="AndroidView" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="construction" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="devData" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="devTable" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="devTable" type="462c0819:PsiDirectoryNode" />
              <item name="domain" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="PgInterface" type="b2602c69:ProjectViewProjectNode" />
              <item name="PgInterface" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="bin" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1583491628370" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../pgdsc" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.33103448" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\git\PgInterface\src\main\resources\bin" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="Unnamed" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 8.5.33" ALTERNATIVE_JRE_ENABLED="true" ALTERNATIVE_JRE_PATH="1.8">
      <option name="UPDATE_ON_FRAME_DEACTIVATION" value="true" />
      <option name="UPDATE_CLASSES_ON_FRAME_DEACTIVATION" value="true" />
      <deployment>
        <artifact name="PgInterface">
          <settings>
            <option name="CONTEXT_PATH" value="/PgInterface" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_PgInterface" />
        <option name="JNDI_PORT" value="1098" />
      </server-settings>
      <predefined_log_file id="Tomcat" enabled="true" />
      <predefined_log_file id="Tomcat Catalina" enabled="true" />
      <predefined_log_file id="Tomcat Manager" enabled="false" />
      <predefined_log_file id="Tomcat Host Manager" enabled="false" />
      <predefined_log_file id="Tomcat Localhost Access" enabled="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="59750" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="PgInterface" />
          <artifact name="PgInterface" />
        </option>
      </method>
    </configuration>
    <configuration default="true" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 8.5.33" ALTERNATIVE_JRE_ENABLED="false">
      <option name="UPDATE_ON_FRAME_DEACTIVATION" value="true" />
      <option name="UPDATE_CLASSES_ON_FRAME_DEACTIVATION" value="true" />
      <deployment>
        <artifact name="PgInterface">
          <settings>
            <option name="CONTEXT_PATH" value="/PgInterface" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="_PgInterface" />
      </server-settings>
      <predefined_log_file id="Tomcat" enabled="true" />
      <predefined_log_file id="Tomcat Catalina" enabled="true" />
      <predefined_log_file id="Tomcat Manager" enabled="false" />
      <predefined_log_file id="Tomcat Host Manager" enabled="false" />
      <predefined_log_file id="Tomcat Localhost Access" enabled="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="59750" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="PgInterface" />
        </option>
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="6b1b64b7-240e-4bb5-a60f-e8f40a5f1f86" name="Default Changelist" comment="" />
      <created>1583376035104</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1583376035104</updated>
      <workItem from="1583376038228" duration="4767000" />
      <workItem from="1583390525399" duration="11491000" />
      <workItem from="1583455718406" duration="26205000" />
      <workItem from="1583648679095" duration="1231000" />
      <workItem from="1583719625806" duration="1022000" />
    </task>
    <task id="LOCAL-00001" summary="添加分区定位接口">
      <created>1583481566842</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1583481566842</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="44716000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.21558245" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.50246304" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Application Servers" order="7" weight="0.32840723" />
      <window_info anchor="bottom" id="Spring" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.6715928" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="14" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" weight="0.32980332" />
      <window_info anchor="right" id="Database" order="6" weight="0.32980332" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" weight="0.32980332" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24281392" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.545156" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Application Servers" order="7" weight="0.32840723" />
      <window_info anchor="bottom" id="Spring" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="14" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" weight="0.32980332" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="添加分区定位接口" />
    <option name="LAST_COMMIT_MESSAGE" value="添加分区定位接口" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/dto/PgConRequestMsgDto.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2332">
          <caret line="166" column="5" lean-forward="true" selection-start-line="166" selection-start-column="5" selection-end-line="166" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/manager/PgConstructionTypeManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="17" column="86" selection-start-line="17" selection-start-column="38" selection-end-line="17" selection-end-column="86" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/dto/PgConWorkOrderDto.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="449">
          <caret line="236" column="5" lean-forward="true" selection-start-line="236" selection-start-column="5" selection-end-line="236" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/dto/PgConRemoveMsgDto.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="83" lean-forward="true" selection-start-line="83" selection-end-line="83" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/manager/PgConRemoveMsgManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="25" column="61" selection-start-line="25" selection-start-column="48" selection-end-line="25" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/manager/PgConRequestMsgManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="18" column="75" selection-start-line="18" selection-start-column="63" selection-end-line="18" selection-end-column="75" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/web/PGInOutRecController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-726" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/domain/PGInOutRec.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="12" column="13" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/spring/applicationContext.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-198">
          <caret line="12" lean-forward="true" selection-start-line="12" selection-end-line="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/dto/PGTagPositionDto.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="286">
          <caret line="15" column="20" lean-forward="true" selection-start-line="15" selection-start-column="20" selection-end-line="15" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/domain/PGTagPosition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="8" column="23" lean-forward="true" selection-start-line="8" selection-start-column="23" selection-end-line="8" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/manager/PgConWorkOrderManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="317">
          <caret line="19" selection-start-line="19" selection-end-line="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgConWorkRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1109">
          <caret line="89" column="9" lean-forward="true" selection-start-line="89" selection-start-column="9" selection-end-line="89" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/task/SyncPGtask.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="273">
          <caret line="29" column="28" lean-forward="true" selection-start-line="29" selection-start-column="28" selection-end-line="29" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/patroler/manager/PgInPgPersonManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="86" column="13" selection-start-line="86" selection-start-column="13" selection-end-line="86" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/maintenance/manager/PgAssetPlanManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1183">
          <caret line="94" column="37" lean-forward="true" selection-start-line="94" selection-start-column="37" selection-end-line="94" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/dto/PGPositionSimpleDto.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="27" lean-forward="true" selection-start-line="4" selection-start-column="27" selection-end-line="4" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/domain/PGTagMac.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="229">
          <caret line="20" lean-forward="true" selection-start-line="20" selection-end-line="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/domain/PGTagPositionView.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="163">
          <caret line="58" column="5" selection-start-line="58" selection-start-column="5" selection-end-line="58" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/maven/lib/maven.jar!/schemas/maven-4.0.0.xsd">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="749" column="6" selection-start-line="749" selection-start-column="6" selection-end-line="749" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/WEB-INF/web.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="545">
          <caret line="45" column="22" lean-forward="true" selection-start-line="45" selection-start-column="22" selection-end-line="45" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-orm/4.0.6.RELEASE/spring-orm-4.0.6.RELEASE.jar!/org/springframework/orm/hibernate4/LocalSessionFactoryBean.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="83" column="1" lean-forward="true" selection-start-line="83" selection-start-column="1" selection-end-line="83" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/maintenance/domain/PgMaintanceRecordHead.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="13" column="36" lean-forward="true" selection-start-line="13" selection-start-column="36" selection-end-line="13" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/maintenance/domain/PgAssetPlan.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/patroler/manager/PgInPgStatusManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="348">
          <caret line="84" column="86" selection-start-line="84" selection-start-column="86" selection-end-line="84" selection-end-column="86" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/domain/PgConRemoveMsg.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" lean-forward="true" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-754">
          <caret line="574" column="20" selection-start-line="574" selection-start-column="20" selection-end-line="574" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/domain/PgConRequestMsg.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="7" column="52" selection-start-line="7" selection-start-column="27" selection-end-line="7" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/domain/PgConWorkOrder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="7" column="94" selection-start-line="7" selection-start-column="70" selection-end-line="7" selection-end-column="94" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/construction/domain/PgConstruction.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="396">
          <caret line="29" selection-start-line="29" selection-end-line="29" selection-end-column="93" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="18" column="25" lean-forward="true" selection-start-line="18" selection-start-column="25" selection-end-line="18" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/spring/taskConfig-applicationContext.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="68" lean-forward="true" selection-start-line="2" selection-start-column="68" selection-end-line="2" selection-end-column="68" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/manager/PGTagPositionManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="28" column="8" lean-forward="true" selection-start-line="28" selection-start-column="8" selection-end-line="28" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PGInOutRecRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="281">
          <caret line="131" column="51" lean-forward="true" selection-start-line="131" selection-start-column="51" selection-end-line="131" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/dto/PgAlarmDto.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="14" lean-forward="true" selection-start-line="14" selection-end-line="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/overtimeInPG/task/TagmacRun.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="104" lean-forward="true" selection-start-line="104" selection-end-line="104" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgOverViewRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="986">
          <caret line="233" column="55" lean-forward="true" selection-start-line="233" selection-start-column="55" selection-end-line="233" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/manager/PgAlarmManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="71">
          <caret line="136" column="28" selection-start-line="136" selection-start-column="28" selection-end-line="136" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/devTable/domain/PgAlarm.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="307">
          <caret line="68" column="28" lean-forward="true" selection-start-line="68" selection-start-column="28" selection-end-line="68" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/casic/PgInterface/rs/PgAlarmRs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="462">
          <caret line="86" column="31" lean-forward="true" selection-start-line="86" selection-start-column="31" selection-end-line="86" selection-end-column="31" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <last-edited>PgInterface</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.33103448" />
                <option value="0.5" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Web (PgInterface)|Web</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.33103448" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>PgInterface</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.33103448" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: com.jayway.jsonpath:json-path:2.4.0</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.33103448" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>